HDUMP(1)

NAME
hdump - displays (dumps) binary contents of a file

SYNOPSIS
hdump [ options ] [ file [ starting_address[.][b|B] count ] ] ]

DESCRIPTION

Hdump displays the contents of a file in 16-bit words unless otherwise specified (see options below). It dumps the data in hexadecimal unless otherwise specified (see options below).

Hdump assumes the starting address and the count are in decimal unless there is a leading 0--interpreted as octal, or a leading 0x--interpreted as hexadecimal (as in C). If the starting address is followed by a 'b', the number is multiplied by 512, if the starting address is followed by a 'B', the number is multiplied by 1024.

The output radix of the label is hexadecimal by default and may be modified by the radix of the starting_address. If the starting_address is specified in hexadecimal, the label will be displayed in hexadecimal too, if the starting_address is specified in octal, the label will be displayed in octal. A decimal radix of the label will be displayed if the starting_address is followed by a dot.

OPTIONS

-a  Display content also in characters

-b  Display content in bytes

-c  Display content in quoted characters

-d  Display content in decimal

-f  Display content longs as floats

-F  Display content double longs as doubles

-l  Display content as longs

-o  Display content in octal

-u  Display content as unsigned

-v  Show all data even if it is identical

-help
    Prints a short summary of the hdump options and exists.

-version
    Prints the hdump version number string and exists.

Address label radix depends on starting address radix (decimal if ends with .)

NOTES
none